#! /bin/sh

libdir=/usr/local/lib
realname=libLEU.so.1.0.6
soname=libLEU.so.1
linkername=libLEU.so
ldcommand=ldconfig

cp lib32/$realname $libdir

if [ `which $ldcommand` ]; then
  ldcommand=ldconfig
elif [ -e /sbin/ldconfig ]; then
  ldcommand=/sbin/ldconfig
fi

$ldcommand

LD_SUCCESS=`$ldcommand -p | grep libLEU | wc -l`
if [ $LD_SUCCESS -eq 0 ]; then
    echo "adding $libdir to library path.."
    echo $libdir > /etc/ld.so.conf.d/LE-local-lib.conf
	$ldcommand
fi

ln -sf $libdir/$soname $libdir/$linkername
echo "Installed."
